<?php

namespace Lc\SovBundle\Model\Setting;


use Lc\SovBundle\Model\File\FileInterface;

interface SettingInterface
{
    public function getName(): ?string;

    public function setName(?string $name): SettingInterface;

    public function getText(): ?string;

    public function setText($text): SettingInterface;

    public function getDate(): ?\DateTimeInterface;

    public function setDate(?\DateTimeInterface $date): SettingInterface;

    public function getFile(): ?FileInterface;

    public function setFile(?FileInterface $file): SettingInterface;
}